Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031470
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-11-13 14:152015-12-21 20:21
ReporterngarciaView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf7c45b01fda4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031470: UniqueValidCombination modulescript is deactivating some account combinations and creating new ones when it should not

DescriptionUniqueValidCombination modulescript is deactivating some account combinations and creating new ones when it should not

- The problem is reproducible until 3.0PR15Q3.3 version, whenever an update.database is done
- It is only reproducible after 3.0PR15Q4 version if the upgrade is done from MP19 or a previous version due to the solution of the 30396 bug
Steps To ReproduceAs group admin Role (in a version previous to 3.0PR15Q4):
   Create a record in the General Ledger Configuration
   Add the Account type dimension to it and select an account tree already used in another General Ledger (F&B EspaƱa, S.A. Account Account)
   Check a new account combination has been created for each element value in the tree but with the new General Ledger. This is correct
   Now deactivate all the accounting combinations related with the same Account (10000 - Capital social)

* Launch the ant smartbuild -Dlocal=no command and restart Tomcat

As group admin role:
   Check that for one of the general ledgers the account combination has been set as inactive and a new one has been created
Proposed SolutionThe selectDuplicates and updateValidCombinationDeactivateDuplicated functions in the UniqueValidCombination_data.xsql should group by c_acctschema_id
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00303963.0PR15Q4 closedaferraz Review modulescripts performance 
depends on backport 00317383.0PR15Q4.2 closedaferraz UniqueValidCombination modulescript is deactivating some account combinations and creating new ones when it should not 
depends on backport 00317393.0PR15Q3.5 closedaferraz UniqueValidCombination modulescript is deactivating some account combinations and creating new ones when it should not 

-  Notes
(0081864)
vmromanos (developer)
2015-11-16 10:11

Since this bug creates wrong data, we should be backporting it to Q3 and Q4
(0082641)
vmromanos (developer)
2015-12-10 14:27

Rejected as invalid. The module script is working as expected.


Reason, the module script is designed to:

1. Deactivate valid combinations which use other dimensions than organization and account (not related to the reported bug)

2. Ensure every subaccount has a valid combination related in each accounting schema (related to the reported bug).

The steps to reproduce forces to deactivate all the valid combinations associated to a subaccount element value (10000 - capital social). When the module script is executed, it detects that there is no valid combination for any of the GL, so it creates 2 new ones (one for each GL). So at the end we have 2 combinations not active (the ones deactivated by the user), and 2 new valid combinations created automatically by the module script to ensure every subaccount has a valid combination related in each accounting schema, which is the expected behavior.
(0082835)
hgbot (developer)
2015-12-17 15:59

Repository: erp/devel/pi
Changeset: f7c45b01fda46aeba94568cb8ed151e5438d8157
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Dec 01 18:20:18 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f7c45b01fda46aeba94568cb8ed151e5438d8157 [^]

Fixes issue 31470: UniqueValidCombination modulescript is deactivating accounts

Add group by c_acctschema_id in selectDuplicates and updateValidCombinationDeactivateDuplicated queries in UniqueValidCombination modulescript.

---
M src-util/modulescript/build/classes/org/openbravo/modulescript/UniqueValidCombinationData.class
M src-util/modulescript/src/org/openbravo/modulescript/UniqueValidCombination_data.xsql
---
(0082841)
vmromanos (developer)
2015-12-17 16:01

Code review + testing (Oracle & Postgres) OK
(0082911)
hudsonbot (developer)
2015-12-21 20:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1874af35afc7 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-11-13 14:15 ngarcia New Issue
2015-11-13 14:15 ngarcia Assigned To => Triage Finance
2015-11-13 14:15 ngarcia Modules => Core
2015-11-13 14:15 ngarcia Triggers an Emergency Pack => No
2015-11-13 14:16 ngarcia Issue Monitored: networkb
2015-11-13 14:30 ngarcia Relationship added related to 0030396
2015-11-13 14:32 ngarcia Summary UniqueValidCombination modulescript is deactivating some account combinations when it should not => UniqueValidCombination modulescript is deactivating some account combinations and creating new ones when it should not
2015-11-13 14:32 ngarcia Description Updated View Revisions
2015-11-16 10:11 vmromanos Note Added: 0081864
2015-12-01 13:44 aferraz Assigned To Triage Finance => aferraz
2015-12-01 13:44 aferraz Status new => scheduled
2015-12-10 14:27 vmromanos Review Assigned To => vmromanos
2015-12-10 14:27 vmromanos Note Added: 0082641
2015-12-10 14:27 vmromanos Status scheduled => closed
2015-12-10 14:27 vmromanos Resolution open => invalid
2015-12-16 17:25 ngarcia Status closed => new
2015-12-16 17:25 ngarcia Resolution invalid => open
2015-12-16 17:43 vmromanos Status new => scheduled
2015-12-17 15:59 hgbot Checkin
2015-12-17 15:59 hgbot Note Added: 0082835
2015-12-17 15:59 hgbot Status scheduled => resolved
2015-12-17 15:59 hgbot Resolution open => fixed
2015-12-17 15:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f7c45b01fda46aeba94568cb8ed151e5438d8157 [^]
2015-12-17 16:01 vmromanos Note Added: 0082841
2015-12-17 16:01 vmromanos Status resolved => closed
2015-12-21 20:21 hudsonbot Checkin
2015-12-21 20:21 hudsonbot Note Added: 0082911


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker